Bug 881111 - Don't use ApplyhttpDate for http-error
Summary: Don't use ApplyhttpDate for http-error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: logwatch
Version: 17
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-28 16:51 UTC by Orion Poplawski
Modified: 2013-01-12 00:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-13 05:50:52 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2012-11-28 16:51:14 UTC
Description of problem:

The httpd *error_log files don't use the same date format as the *access_log files, so it doesn't find anything.  Removing "*ApplyhttpDate" from conf/logfiles/http-error.conf fixes it.

Comment 1 Orion Poplawski 2012-11-28 16:57:48 UTC
Actually, we probably want a custom date filter for this format:

[Sun Nov 25 03:44:01 2012]

Although it at least find items from the right date.

Comment 2 Jan Synacek 2012-12-03 13:57:01 UTC
Indeed, removing "*ApplyhttpDate" from conf/logfiles/http-error.conf fixes this misbehavior.

I just ran into some serious problems while testing this. The 'fix' works only with httpd 2.2. In 2.4, http-error doesn't work at all due to a different log format. The second problem is that the output log format can be heavily configured (mod_log_config), which kind of negates the whole purpose of the http-error script.

It would probably make sense to fix this / support the default log and disregard anything else. If you want this to be really configurable, an RFE for a configurable regexp will be a way to go.

Comment 4 Fedora Update System 2012-12-04 07:46:57 UTC
logwatch-7.4.0-19.20120619svn110.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/logwatch-7.4.0-19.20120619svn110.fc18

Comment 5 Fedora Update System 2012-12-04 07:48:16 UTC
logwatch-7.4.0-19.20120619svn110.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/logwatch-7.4.0-19.20120619svn110.fc17

Comment 6 Fedora Update System 2012-12-05 06:56:57 UTC
Package logwatch-7.4.0-19.20120619svn110.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing logwatch-7.4.0-19.20120619svn110.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19730/logwatch-7.4.0-19.20120619svn110.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-12-13 05:50:53 UTC
logwatch-7.4.0-19.20120619svn110.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-01-12 00:37:32 UTC
logwatch-7.4.0-19.20120619svn110.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.